I cant download the latest version 2.0 on my Sony A900. I have a MAC with 10.4.11 software and the download says I need to have Classic 9.0 in order to download. I never heard this before. Can I take my camera in somewhere to have it done? I live in NJ . Thanks rollsman